Description

As CIM17 standards moved in the direction that ConnectivityNode is required for building the connectivity, the association
Terminal.TopologicalNode is not necessary in the TP profile and it shall be removed. Keeping this association and expecially with
cardinality 1..* at the side of Terminal requires that additional constraints are defined.

Proposed Solution
Remove the association Terminal. TopologicalNode in Topology (TP) profile.

Updated proposed solution.

Necessary changes are:

in TP

- remove association Terminal.TopologicalNode

- remove association DCBaseTerminal.DCTopologicalNode (note the association DCNode to DCTopologicalNode is already required
association)

in EQ

- change cardinality of association Terminal.ConnectivityNode from 0..1 to 1. Note that we are reinforcing this by constrain now when
we say we need to have all models build with ConnectivityNodes. There is no point to have Terminal without connection to
ConnectivityNode in the EQ profile

- change the cardinality of the DCBaseTerminal.DCNode from 0..1 to 1. This will match the way we are doing for AC part. It will also
patch the pattern we have with required associations ConnectivityNode.TopologicalNode and DCNode.DCToplologicalNode

By applying these changes we can remove a couple of constraints in EQ and TP as the cardinalities will drive the modelling style.

Decision

No disagreements for making the change (9/19/2022 hybrid meeting). We reconfirmed once again in our 15-Feb-2023 in-person
meeting that we are fine with proceeding with this proposal.

Release Notes

The following changes are applied:

in the Topology profile (to be published in 61970-456)
- remove association Terminal.TopologicalNode

- remove association DCBaseTerminal.DCTopologicalNode (note the association DCNode to DCTopologicalNode is already required
association)
- delete classes Terminal, ACDCTerminal, DCBaseTerminal, ACDCConverterDCTerminal, DCTerminal as they are no longer needed
in the profile after removal of the associations.
- a diagram in 456 is updated

in the Equipment profile (to be published in 61970-452)

- change cardinality of association Terminal.ConnectivityNode from 0..1 to 1. This is necessary bacause since CIM17 the models are
build on the basis of ConnectivityNode for both node breaker and bus branch modelling styles.

- change the cardinality of the DCBaseTerminal.DCNode from 0..1 to 1. This will match the way it is done for AC part.

- the following rule was updated

R:452:ALL:ConductingEquipment:connectivity

All subtypes of ConductingEquipment are required to have associations to Terminals. The number of associated Terminals is
specified in IEC 61970-301 in section 4.8.2 “Number of terminals for ConductingEquipment objects.”

History

#1 - 09/19/2022 01:49 PM - Eric Stephan
- Status changed from New to Open

- Decision updated

Al: This was a new issue, recommend closing.

#2 - 09/19/2022 01:50 PM - Eric Stephan

- Status changed from Open to Review

#3 - 09/19/2022 01:59 PM - Eric Stephan

- Status changed from Review to In Progress

WG13 recommended status as "In-Progress"

#4 - 09/19/2022 02:07 PM - Eric Stephan
- Status changed from In Progress to Review

- Originally Assigned To set to Svein Olsen (9/19/2022)

#5 - 09/22/2022 02:22 PM - Eric Stephan

- Status changed from Review to In Progress

#6 - 02/11/2023 02:48 AM - Chavdar Ivanov
- Status changed from In Progress to Review

- Proposed Solution updated

Updated proposed solution. Thease are only 456 changes and we need to do then in a consistent way.

#7 - 02/14/2023 05:32 PM - Todd Viegut

- Status changed from Review to In Progress
- Solution to be Applied To set to CIM18v04
- Version set to CIM18v04

- Decision updated

#8 - 02/19/2023 01:32 AM - Chavdar Ilvanov

- Solution Version set to CIM18v04

- Solution Applied By set to Chavdar Ilvanov

- Completion Date set to 02/19/2023

- Breaking Change set to Yes

- Breaking Change Description set to Removing required association in TP profile and making other associations in TP and EQ required

- Release Notes updated

#9 - 02/19/2023 01:34 AM - Chavdar Ivanov
- Release Notes updated

#10 - 02/19/2023 01:56 AM - Chavdar lvanov

- Release Notes updated

#11 - 02/19/2023 02:20 AM - Chavdar Ivanov
- Status changed from In Progress to Closed

- Release Notes updated
